# plupload.File

Namespace | plupload
Class | File

File instance.

## Public Properties

Property | Defined By
--- | ---
id : String File id this is a globally unique id for the specific file. | File
loaded : Number Number of bytes uploaded of the files total size. | File
name : String File name for example "myfile. | File
percent : Number Number of percentage uploaded of the file. | File
size : Number File size in bytes. | File
status : Number Status constant matching the plupload states QUEUED, UPLOADING, FAILED, DONE. | File

## Public Methods

Method | Defined By
--- | ---
File(id:String, name:String, size:Number) Constructs a new file instance. | File

## Property details

### idproperty

`public id : String`
File id this is a globally unique id for the specific file.

### loadedproperty

`public loaded : Number`
Number of bytes uploaded of the files total size.

### nameproperty

`public name : String`
File name for example "myfile.gif".

### percentproperty

`public percent : Number`
Number of percentage uploaded of the file.

### sizeproperty

`public size : Number`
File size in bytes.

### statusproperty

`public status : Number`
Status constant matching the plupload states QUEUED, UPLOADING, FAILED, DONE.

#### See Also

- plupload

## Method details

### Fileconstructor

`public function File(id:String, name:String, size:Number)`
Constructs a new file instance.

#### Parameters

id:String | Unique file id.
name:String | File name.
size:Number | File size in bytes.